OpenMM

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Pages
Public Member Functions | Public Attributes | List of all members
TwoParticleAverageSite Class Reference

This is a VirtualSite that computes the particle location as a weighted average of two other particle's locations. More...

Inheritance diagram for TwoParticleAverageSite:

## Public Member Functions
def | getWeight
| getWeight(TwoParticleAverageSite self, int particle) -> double More...
def | __init__
| init(OpenMM::TwoParticleAverageSite self, int particle1, int particle2, double weight1, double weight2) -> TwoParticleAverageSite init(OpenMM::TwoParticleAverageSite self, TwoParticleAverageSite other) -> TwoParticleAverageSite More...
def | __del__
| del(OpenMM::TwoParticleAverageSite self) More...
Public Member Functions inherited from VirtualSite
def | __init__
def | __del__
| del(OpenMM::VirtualSite self) More...
def | getNumParticles
| getNumParticles(VirtualSite self) -> int More...
def | getParticle
| getParticle(VirtualSite self, int particle) -> int More...

## Public Attributes
| this

## Detailed Description

This is a VirtualSite that computes the particle location as a weighted average of two other particle's locations.

Assuming the weights add up to 1, this means the virtual site is on the line passing through the two particles.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | args
| ) |  |

init(OpenMM::TwoParticleAverageSite self, int particle1, int particle2, double weight1, double weight2) -> TwoParticleAverageSite init(OpenMM::TwoParticleAverageSite self, TwoParticleAverageSite other) -> TwoParticleAverageSite

Create a new TwoParticleAverageSite virtual site. Normally weight1 and weight2 should add up to 1, although this is not strictly required.

Parameters

  particle1 | the index of the first particle
  particle2 | the index of the second particle
  weight1 | the weight factor (between 0 and 1) for the first particle
  weight2 | the weight factor (between 0 and 1) for the second particle

References simtk.openmm.openmm.stripUnits().

def __del__ | ( |  | self | ) |

del(OpenMM::TwoParticleAverageSite self)

References simtk.openmm.openmm.stripUnits().

## Member Function Documentation

def getWeight | ( |  | self,
|  |  | args
| ) |  |

getWeight(TwoParticleAverageSite self, int particle) -> double

Get the weight factor used for a particle this virtual site depends on.

Parameters

  particle | the particle to get (between 0 and getNumParticles())

References simtk.openmm.openmm.stripUnits().

## Member Data Documentation

this

The documentation for this class was generated from the following file:

- openmm.py